Skip to main content
POST
Create Payment Link

Authorizations

client-id
string
header
required
client-secret
string
header
required

Body

application/json

Payment link creation request

title
string
required

Human-readable payment link title.

Example:

"decimal test"

description
string
required

Human-readable payment link description.

Example:

"demo"

currency
string
required

Required 3-letter ISO currency code.

Required string length: 3
Example:

"XOF"

country
string
required

Required 2-letter ISO country code used for active integration lookup.

Required string length: 2
Example:

"CI"

Logo URL or empty string. Defaults to the client or business logo.

Example:

"https://6thbridge-file-upload.s3.amazonaws.com/choosen-02.png"

locale
string

Locale for payer-facing checkout. Defaults to the client or business locale.

Example:

"en"

isAmountFixed
boolean

Set to true when the payer cannot change the amount.

Example:

false

amount
number

Fixed collection amount in minor currency units. Required when isAmountFixed is true and must be greater than zero. See Amount Specification.

Example:

100000

minimumAmount
number

Minimum payer-entered amount in minor currency units. Used when isAmountFixed is false. See Amount Specification.

Example:

0

maximumAmount
number

Maximum payer-entered amount in minor currency units. Used when isAmountFixed is false. See Amount Specification.

Example:

100000000

amountLimit
number

Total collectible amount limit across successful payments for this link in minor currency units. See Amount Specification.

Example:

100000000

customFields
object[]

Extra payer fields to collect before creating checkout.

Example:
redirectURL
string

URL to redirect the payer to after payment flow.

Example:

""

isAnonymousPaymentEnabled
boolean

Whether anonymous payments are allowed.

Example:

false

expiresAt
string<date> | null

Date on which the link expires.

Example:

"2026-12-31"

Response

201 - application/json

Payment link created successfully.

statusCode
integer
required

Application status code returned in the response body.

Example:

201

data
object
required